Retrieve a Count of Replays for a Given Issue or Transaction

GET /api/0/organizations/{organization_id_or_slug}/replay-count/

Return a count of replays for a list of issue or transaction IDs.

The query parameter is required. It is a search query that includes exactly one of issue.id, transaction, or replay_id (string or list of strings).

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

Query Parameters:

environment (array(string))

The name of environments to filter by.

start (string)

The start of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.

end (string)

The end of the period of time for the query, expected in ISO-8601 format. For example, 2001-12-14T12:34:56.7890.

statsPeriod (string)

The period of time for the query, will override the start & end parameters, a number followed by one of:

  • d for days
  • h for hours
  • m for minutes
  • s for seconds
  • w for weeks

For example, 24h, to mean query data starting from 24 hours ago to now.

project (array(undefined))

The IDs or slugs of projects to filter by. Project slugs are unique within each organization. Omit this parameter to include all accessible projects. -1 is also accepted to include all accessible projects. For example, the following are valid parameters:

  • /?project=1234&project=56789
  • /?project=android&project=javascript-react
  • /?project=-1
project_id_or_slug (array(string))

The legacy project slug filter. Prefer project, which accepts project IDs or slugs. Use $all to include all available projects. For example, the following are valid parameters:

  • /?projectSlug=$all
  • /?projectSlug=android&projectSlug=javascript-react
query (string)

Filters results by using query syntax.

Example: query=(transaction:foo AND release:abc) OR (transaction:[bar,baz] AND release:def)

data_source (string)
choices:
  • discover
  • events
  • search_issues
  • transactions

The data source to query replays from. Defaults to 'discover'.

returnIds (boolean)

If true, return issue IDs rather than counts.

Scopes

<auth_token> requires one of the following scopes:
  • org:admin
  • org:read
  • org:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/replay-count/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
{ "1": 9, "2": 0, "5": 0, "9": 1, "10": 29 }
Was this helpful?